=== debian/changelog ===
python-yamlfix (1.16.0-1) unstable; urgency=medium

  * [0467980] New upstream version 1.16.0
  * [b30b6e4] d/control: Upstream did move over to pdm-backend

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Dec 2023 17:58:47 +0100

python-yamlfix (1.15.0-1) unstable; urgency=medium

  * [c00657c] New upstream version 1.15.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 02 Nov 2023 21:23:42 +0100

python-yamlfix (1.13.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Sep 2023 13:29:26 +0200

python-yamlfix (1.13.0-1) unstable; urgency=medium

  * [e02a1b1] New upstream version 1.13.0
  * [e358cce] First and basic Debianization
    (Closes: #1051978)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Sep 2023 14:52:56 +0530
