=== debian/control ===
Source: python-yamlfix
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pdm-backend,
Build-Depends-Indep:
# mkdocs  <!nodoc>,
# mkdocstrings <!nodoc>,
# mkdocs-material <!nocheck>,
 python3-click <!nocheck>,
 python3-maison <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-ruyaml <!nocheck>,
# python3-pymdownx <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yamlfix
Vcs-Git: https://salsa.debian.org/python-team/packages/python-yamlfix.git
Homepage: https://github.com/lyz-code/yamlfix

Package: python3-yamlfix
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Simple opionated yaml formatter that keeps your comments
 yamlfix is a Python based YAML file formatter which will fix any known
 formatting issue within your YAML files automatically.
 .
 It can read configuration settings from pyproject.toml, from configuration
 files or environment variables while it is called from the CLI or by
 including as Python library.
 .
 Main feature are:
  * Add the header --- to your file.
  * Correct truthy strings: 'True' -> true, 'no' -> 'false'
  * Remove unnecessary apostrophes:
    title: 'Why we sleep' -> title: Why we sleep.
  * Correct comments
  * Ensure that there is exactly one newline at the end of each file, to
    comply with the POSIX standard.
  * Split long lines.
  * Respect Jinja2 syntax.
  * Convert short lists to flow-style list: [item, item]
  * Convert lists longer than line-width to block-style 
 .
 This package provides the Python 3.x module.
