=== debian/watch ===
version=4

opts="pgpmode=none, \
      mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(debian|dfsg|ds|deb)([\.\d]+)?$//" \
https://github.com/lyz-code/yamlfix.git \
      refs/tags/@ANY_VERSION@
