## python-yamlfix 1.17.0

=== debian/changelog ===
python-yamlfix (1.17.0-4) unstable; urgency=medium

  * Team upload.
  * [c403fa3] Add the click-8.2 patch to fix the test suite
  * [58b7ea8] Add Salsa CI configuration

 -- Peter Pentchev <roam@debian.org>  Sat, 22 Feb 2025 18:38:14 +0200

python-yamlfix (1.17.0-3) unstable; urgency=medium

  * Team upload.
  * add versioned Build-Depends-Indep: python3-click (>= 8.1.3~),
    python3-pydantic (>= 2~), python3-ruyaml (>= 0.91.0~).
    pydantic 2 in particular is needed for yamlfix 1.17 to pass tests
    with maison 2.
  * add manpage for yamlfix, generated using help2man

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Sep 2024 10:34:20 +0200

python-yamlfix (1.17.0-2) unstable; urgency=medium

  * Team upload.
  * Version python3-maison build-dependency so that autopkgtests can pass.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2024 09:14:58 +0100

python-yamlfix (1.17.0-1) unstable; urgency=medium

  * [8c0163d] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [f51954c] New upstream version 1.17.0
    (Closes: #1077459)
  * [523d3aa] d/control: Add new B-D on python-pydantic

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Aug 2024 19:02:27 +0200
