=== debian/control ===
--- 
+++ 
@@ -13,14 +13,15 @@
 # mkdocs  <!nodoc>,
 # mkdocstrings <!nodoc>,
 # mkdocs-material <!nocheck>,
- python3-click <!nocheck>,
- python3-maison <!nocheck>,
+ python3-click (>= 8.1.3~) <!nocheck>,
+ python3-maison (>= 2.0.0~) <!nocheck>,
+ python3-pydantic (>= 2~) <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-pytest <!nocheck>,
  python3-pytest-xdist <!nocheck>,
- python3-ruyaml <!nocheck>,
+ python3-ruyaml (>= 0.91.0~) <!nocheck>,
 # python3-pymdownx <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-yamlfix
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-yamlfix.git
@@ -50,6 +51,6 @@
   * Split long lines.
   * Respect Jinja2 syntax.
   * Convert short lists to flow-style list: [item, item]
-  * Convert lists longer than line-width to block-style 
+  * Convert lists longer than line-width to block-style
  .
  This package provides the Python 3.x module.
