=== debian/tests/control ===
Tests: smoke
Depends:
 python3-all,
 python3-click,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-xdist,
 @,
Restrictions: allow-stderr
